Skip to content
WP Engine Documentation

List site reports

GET
/site_reports

Returns a list of generated site reports for a particular site.

site_id
required
string format: uuid

Filter reports by site ID

OK

object
reports

List of generated site reports

Array<object>
object
uuid

Unique identifier for the report

string format: uuid
Example
18cb2c9c-5755-4b32-a59b-18acd206bc36
title

Title of the report

string
Example
Sample report
date_range

Time period covered by the report

object
start_date

Start date of the reporting period

string format: date-time
Example
2026-05-13T02:00:42.163034Z
end_date

End date of the reporting period

string format: date-time
Example
2026-05-20T02:00:42.163034Z
created_at

Timestamp when the report was generated

string format: date-time
Example
2026-05-21T02:00:42.286801Z
recipients

Email recipients who received the report

Array<object>
object
email

Email address of the recipient

string format: email
Example
user@example.com
download_url

URL to download the report PDF

string format: uri
Example
https://storage.googleapis.com/sites-reports-bucket/report.pdf

Bad Request

object
message
required

A message regarding the error that occurred on the server

string
Example
Invalid Site: Name cannot be empty.
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
errors

An array of error objects describing specific errors that arose when servicing the request

Array<object>
object
resource
required

The name of the resource that was being processed when the error occurred

string
Example
Site
field
required

(Optional) The specific field associated with the error

string
Example
name
type
required

(Optional) A type associated with the error. invalid_value, access_error, value_unavailable

string
Example
invalid_value
code
required

(Optional) A machine code relating to the error that occurred with the field and resource

string
Example
too_long
message
required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string
Example
Name is too long (maximum is 40 characters)

Authentication Error

object
message
required

A message regarding the error that occurred on the server

string
Example
Bad Credentials
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not authorized

object
message
required

A message regarding the error that occurred on the server

string
Example
You don't have permission to perform that action
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Not found

object
message
required

A message regarding the error that occurred on the server

string
Example
Not Found
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string

Too many requests

Internal Server Error

object
message
required

A message regarding the error that occurred on the server

string
Example
An unexpected error occurred, please try again in a few minutes

An invalid response was received from an upstream server

Service unavailable